JPAKEUtilTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.agreement.test

## Class JPAKEUtilTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.crypto.agreement.test.JPAKEUtilTest

- All Implemented Interfaces:
    junit.framework.Test

      public class JPAKEUtilTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAKEUtilTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testValidateGa()`
    `void` | `testValidateGx4()`
    `void` | `testValidateMacTag()`
    `void` | `testValidateNotNull()`
    `void` | `testValidateParticipantIdsDiffer()`
    `void` | `testValidateParticipantIdsEqual()`
    `void` | `testValidateZeroKnowledgeProof()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JPAKEUtilTest

          public JPAKEUtilTest()

  - ### Method Detail

    - #### testValidateGx4

          public void testValidateGx4()
                               throws CryptoException

      Throws:
        `CryptoException`

    - #### testValidateGa

          public void testValidateGa()
                              throws CryptoException

      Throws:
        `CryptoException`

    - #### testValidateParticipantIdsDiffer

          public void testValidateParticipantIdsDiffer()
                                                throws CryptoException

      Throws:
        `CryptoException`

    - #### testValidateParticipantIdsEqual

          public void testValidateParticipantIdsEqual()
                                               throws CryptoException

      Throws:
        `CryptoException`

    - #### testValidateMacTag

          public void testValidateMacTag()
                                  throws CryptoException

      Throws:
        `CryptoException`

    - #### testValidateNotNull

          public void testValidateNotNull()

    - #### testValidateZeroKnowledgeProof

          public void testValidateZeroKnowledgeProof()
                                              throws CryptoException

      Throws:
        `CryptoException`